## $Id: utils.py 9757 2012-12-01 10:31:58Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PREFERRED_LANGUAGES_DICT = {
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'pg_ft': 'Postgraduate Full-Time',
        'pg_pt': 'Postgraduate Part-Time',
        'sandwich': 'Sandwich',
        'cest': 'Part-Time, Diploma, Certificate',
        'pg_new': 'New Postgraduate Programmes',
        'dp_ft': 'Diploma Full-Time Programmes',
        }

    # de modes are only used for entry_mode
    MODE_GROUPS = {
        'All':('all',),
        'Undergraduate Full-Time':('ug_ft'), 
        'Undergraduate Part-Time':('ug_pt'),
        'Diploma/Certificate Full-Time':('dp_ft','ct_ft'),
        'Diploma/Certificate Part-Time':('dp_pt','ct_pt'),
        'Postgraduate Full-Time':('pg_ft', 'pgd_ft'),
        'Postgraduate Part-Time':('pg_pt', 'special_pg_pt', 'pgd_pt'),
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'clearance': 'Acceptance Fee',
        'bed_allocation': 'Bed Allocation Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'tempmaint_1': 'Hall 1-4 M/F Ekehuan',
        'tempmaint_2': 'Hall 5 M/F',
        'tempmaint_3': 'Clinical Hostel',
        'transfer': 'Transfer Fee',
        'gown': 'Gown Hire Fee',
        'application': 'Application Fee'
        }

    SELECTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'clearance': 'Acceptance Fee',
        'tempmaint_1': 'Hall 1-4 M/F Ekehuan Maintenance Fee',
        'tempmaint_2': 'Hall 5 M/F Maintenance Fee',
        'tempmaint_3': 'Clinical Hostel Maintenance Fee',
        'gown': 'Gown Hire Fee',
        'application': 'Application Fee'
        }